Modules
Sign in
Get Help

Unitrends Downloads

Upgrades and Releases

The latest version of your Unitrends product can be downloaded and installed directly from the product's user interface. For details, see the Upgrade Guide located on the Documentation page.

 

Latest Agent Releases

 

Right-click on the version and select "Save Target As..." or "Save Link As...". All agents are applicable for the current software release. For further details, see the Compatibility and Interoperability Matrix.

CentOS, RedHat, Fedora distributions (non-SAP 64-bit).RPM

Operating System Applies To Latest Agent Installer
Windows Windows 2008 R2, 2012, 2016, 2019, 2022
(64-bit)
Windows Cluster (64-bit)
Windows 7, 8, 8.1, 10 and 11 (64-bit)
(Secure agent pairing)
.MSI
Windows 2003, 2008 non-R2 (64-bit)
(Secure agent pairing)
.MSI
Windows XP, Vista (64-bit)
(No secure agent pairing, ver. 10.5.7) 
.MSI
Kroll OnTrack for MS Exchange and Sharepoint .EXE
Windows Agent Add-ons Link
EndPoint Backup Link
WinBM ISO .ISO
Linux
Agents and Oracle Dependency add-on 

Linux distro details for Secure Agent Pairing
CentOS, RedHat, Fedora distributions (64-bit)
(Secure Agent Pairing)
.RPM
CentOS, RedHat, Fedora distributions (64-bit)
(no SAP)
.RPM
Ubuntu distributions
(Secure Agent Pairing)
.DEB
Ubuntu distributions (no-SAP) .DEB
General Linux distributions
(Secure Agent Pairing) 
Installation cnt script
General Linux distributions (no-SAP) Installation cnt script
Oracle Dependency Add-on for Linux Agent
(install with Linux agent of choice)
Link
Mac Agents Mac 10.3 - 10.12 Installation cnt script
Specialty Enterprise Agents Solaris, AIX, UnixWare, HP-UX Link
32-bit Agents 32-bit agents for Windows, Linux Link
Unsupported Agents Agents no longer supported by Unitrends Link

Need an older version? Check here for instructions on locating and downloading older agent versions. 

 

Unitrends Backup Virtual Appliance Deployments

For existing customers looking to redeploy an instance of Unitrends Backup, the following installer downloads are available (right-click and "Save As..."):

Environment Applies To Format
VMware vSphere Optional for licensed deployments, 3.5 - 6.7. (Use .ova for ESXi 7) .EXE
Optional for all licensed deployments, 3.5 - 7.0 Required for Free ESXi deployments. .OVA
Microsoft Hyper-V Windows Server 2012, Windows Server 2012 R2, Windows Server 2016, Windows Server 2019 .EXE
Windows Server 2008 R2 SP1+, Windows 2008 R2 Server Core SP1, Windows 2012 R2 Server Core, Windows Server 2016 Core, Windows Server 2019 Core .VHD
Citrix XenServer XenServer 6.5, 7.0, 7.1, 7.2 and 7.3 .XVA
Nutanix AHV AHV latest supported release .VMDK
Amazon AWS Deployments are available within the Amazon cloud  
Microsoft Azure Deployments are available within the MS Azure cloud  
 

 

Ready to register and activate your Unitrends Backup? Follow the knowledge article Registering a Unitrends Backup - Activating your Product - Licensing (Internet or Air Gap) to apply for your permanent license.

 

Note: Be sure to activate your Unitrends Backup before the 30-day trial expires to ensure there is no gap in your protection.

Have more questions?

Contact us

Was this article helpful?
2 out of 3 found this helpful

Provide feedback for the Documentation team!

Browse this section